package com.ym.mec.auth.api.dto;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class MenuQueryInfo{
    @ApiModelProperty(value = "父节点编号，默认0",required = false)
    private Integer parentId = 0;

    @ApiModelProperty(value = "节点状态，默认0未删除，1删除",required = false)
    private String delFlag = "0";

    private Integer userId;

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
}
